package windows

import (
	"git.akyoto.dev/cli/q/src/arch/arm64"
	"git.akyoto.dev/cli/q/src/arch/x64"
	"git.akyoto.dev/cli/q/src/cpu"
)

var (
	X64InputRegisters = []cpu.Register{
		x64.RCX,
		x64.RDX,
		x64.R8,
		x64.R9,
	}

	X64OutputRegisters = []cpu.Register{
		x64.RAX,
	}

	ARM64InputRegisters = []cpu.Register{
		arm64.X0,
		arm64.X1,
		arm64.X2,
		arm64.X3,
		arm64.X4,
		arm64.X5,
		arm64.X6,
		arm64.X7,
	}

	ARM64OutputRegisters = []cpu.Register{
		arm64.X0,
		arm64.X1,
	}
)
